Package org.apache.lucene.backward_codecs.compressing

# Class MatchingReaders

java.lang.Object
org.apache.lucene.backward_codecs.compressing.MatchingReaders

public class MatchingReaders extends Object
Computes which segments have identical field name to number mappings, which allows stored fields and term vectors in this codec to be bulk-merged.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean[]`
  `matchingReaders`
  `SegmentReader`s that have identical field name/number mapping, so their stored fields and term vectors may be bulk merged.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchingReaders(MergeState mergeState)`
  Sole constructor

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### matchingReaders

    public final boolean[] matchingReaders
    `SegmentReader`s that have identical field name/number mapping, so their stored fields and term vectors may be bulk merged.

- ## Constructor Details

  - ### MatchingReaders

    public MatchingReaders(MergeState mergeState)
    Sole constructor